Results 1 to 15 of 15

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Seriously confused...3gs 4.0.2 old bootroom jailbreak?

  1. #1
    Default Seriously confused...3gs 4.0.2 old bootroom jailbreak?
    Hi everyone,

    I joined this forum because I want to join the jailbreak community...

    I'v tried researching my position but the more I do the more confused I become!

    I've got a 3gs currently on os 4.0.2 and I checked the bootroom to find I have 359.3 which I think is the old one right?

    from what I have gathered I dont think I can currently jailbreak?

    would it be possible when sn0wbreeze 2.0 is released?

    sorry for all the questions and sorry if this has already been answered elsewher, if thats the case please link me to the post

    thanks
    Harry

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Yes, you have the old bootrom and you could have jailbroken long time ago and have the golden method to use Custom Firmware. But since you have not jailbroken your iphone, you will not have shsh blogs. 3GS owners like you have success rate in downgrading due to what we call magical blogs stored with Cydia. If you want to try , this is what you do.
    Downoad the 3gs 4.0.1 ipsw onto your desktop.
    Run Notepad as Admin (Vista/Win7) and open up your hosts file located here:
    Cwindows\systems\Drivers\etc\hosts
    Add this line
    74.208.10.249 gs.apple.com
    save it , reboots your pc
    Put your iphone into DFU mode
    Do the Shift + Restore to 4.0.1 ipsw
    Hopefully you have the shsh blogs with Cydia and will restore to the end.

  3. The Following User Says Thank You to iYeow For This Useful Post:

    Harry001 (2010-09-18)

  4. #3
    The iPhone "iphone" could not be restored. An unknown error occurred (3194)

    so im out of luck for now?

  5. #4
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    And you did all of those I described, then you don't have it. sorry.
    If you iphone now is in DfU or recovery mode, you can either do a Hard Reset or use tiny Umbrella to kick out of recovery, then you will be back to 4.0.2 again.

  6. #5
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    You'll have to wait until the next jailbreak. Sorry.


    Sent from my iPhone using ModMyi

  7. The Following User Says Thank You to Poseidon79 For This Useful Post:

    Harry001 (2010-09-18)

  8. #6
    Ok bad times!

    Guess the best thing I can do now, is not upgrade any operating software and wait it out...
    Any idea when the next jailbreak will be out / Will it be a program like sn0wbreeze? Just so I kno what to look out for!

  9. #7
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Download tiny umbrella version 4.1.4 and push your 4.1 shsh blogs to Cydia and also save it now locally under the .shsh hidden folder.

  10. #8
    ok heres what happened:

    09/18/2010 01:14:54.802 Processing SHSH Request...
    09/18/2010 01:14:54.817 Asking CYDIA for SHSH blobs for iPhone3GS 4.1 (8B117)...
    09/18/2010 01:14:58.390 SHSH SUCCESSFULLY saved! [Click Here to Open]
    09/18/2010 01:14:58.405 You have saved your SHSH locally and the request was sent to CYDIA. This means that CYDIA DOES have your SHSH. Do NOT bug semaphore about the Cydia home page showing this version.
    09/18/2010 01:14:58.436 Caching shsh files...
    09/18/2010 01:14:58.452 Found [1] shsh files to cache...
    09/18/2010 01:14:58.483 Cached [1] shsh files
    09/18/2010 01:15:23.864 Processing SHSH Request...
    09/18/2010 01:15:23.864 Asking CYDIA for SHSH blobs for iPhone3GS 4.0.1 (8A306)...
    09/18/2010 01:15:34.192 This device isn't eligible for the requested build.
    09/18/2010 01:15:34.207 CYDIA DOES NOT HAVE YOUR SHSH FOR iPhone3GS 4.0.1 (8A306) THERE IS NO WAY FOR YOU TO GET THEM. SORRY. YOU ARE JUST TOO LATE.

  11. #9
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Good, now you are ready for 4.1 jailbreak when it comes out. You can restore again to 4.1 eventhough apple stops signing 4.1..

    That is all you have to do now and we will email you when there is a jailbreak available....Hahaha ...just kidding.

  12. The Following User Says Thank You to iYeow For This Useful Post:

    H4mmerbush (2010-09-23)

  13. #10
    ok thanks for your help any idea when this new jailbreak will be available? i get the impression from online that its soon? i can only hope so!

    you can notify me if you want...haha unlikely i know!

  14. #11
    There seems to be around 3 different jailbreaks for 4.1 coming out. The one(s) that are hardware based should be released soon. The one(s) that may be software would probably wait 'till 4.2

  15. #12
    G'day! Was trying to downgrade 3gs from 4.0.2 to 4.0.1 with directions from other posts reporting success. When I restore it says checking with apple then comes up with unknown error 3194. Have followed all directions fully. What can I do to effect the downgrade?? (In plain english please) Cheers.

  16. #13
    Quote Originally Posted by Ellmo View Post
    G'day! Was trying to downgrade 3gs from 4.0.2 to 4.0.1 with directions from other posts reporting success. When I restore it says checking with apple then comes up with unknown error 3194. Have followed all directions fully. What can I do to effect the downgrade?? (In plain english please) Cheers.

    Same thing for me but after a week of trying this and trying that... I think it's just the simple fact that we don't have shsh blobs saved on Saurik's server.

    There are a few things that say you can jailbreak as long as you have old bootrom, which I'm 99% sure I do, but still had no luck getting anything to work.

    EDIT: I just realized... TinyUmbrella says Cydia doesn't have my SHSH Blobs for 4.0.2, but I'm still on 4.0.2 so I don't see how that's possible... unless Windows 7 64-bit causes some type of issue with the whole hosts files edit? Possibly, I seen things like that before where it works on XP and not on Windows 7. I guess I'll have to VM XP or find a friend with it still running and give it a shot.
    Last edited by Narcissustic; 2010-09-18 at 07:17 AM. Reason: Realization.

  17. #14
    Quote Originally Posted by Narcissustic View Post
    EDIT: I just realized... TinyUmbrella says Cydia doesn't have my SHSH Blobs for 4.0.2, but I'm still on 4.0.2 so I don't see how that's possible... unless Windows 7 64-bit causes some type of issue with the whole hosts files edit? Possibly, I seen things like that before where it works on XP and not on Windows 7. I guess I'll have to VM XP or find a friend with it still running and give it a shot.
    let me know if this works on xp...

  18. #15
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    Quote Originally Posted by Narcissustic View Post
    EDIT: I just realized... TinyUmbrella says Cydia doesn't have my SHSH Blobs for 4.0.2, but I'm still on 4.0.2 so I don't see how that's possible... unless Windows 7 64-bit causes some type of issue with the whole hosts files edit? Possibly, I seen things like that before where it works on XP and not on Windows 7. I guess I'll have to VM XP or find a friend with it still running and give it a shot.
    That's because the SHSHs you are able to get aren't based on what firmware is on your phone. They're based on which firmware Apple is signing at the time you store the files.

    Example, my 3GS has never been above 3.1.2 but I have SHSHs for 3.1.3, 4.0, 4.0.1, 4.0.2 and 4.1. I have these, because when each new firmware came out (and Apple was of course signing them as they were the current firmwares at the time), I saved the SHSH.
    We're all just toymakers in the game of life.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •